// Copyright (c) 2019 Uber Technologies, Inc.
//
// Permission is hereby granted, free of charge, to any person obtaining a copy
// of this software and associated documentation files (the "Software"), to deal
// in the Software without restriction, including without limitation the rights
// to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
// copies of the Software, and to permit persons to whom the Software is
// furnished to do so, subject to the following conditions:
//
// The above copyright notice and this permission notice shall be included in
// all copies or substantial portions of the Software.
//
// THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
// IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
// FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
// AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
// LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
// OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
// THE SOFTWARE.

// import React, {Component} from 'react';
// import {AGGREGATION_TYPES} from 'constants/default-settings';
// import ItemSelector from 'components/common/item-selector/item-selector';
// import {SidePanelSection} from 'components/common/styled-components';
// import WidgetLayerSelector from './widget-layer-selector';

// export default class WidgetAggregationSelector extends Component {
//   static proptypes = {};
//   render() {
//     const {lidgets, dataId} = this.props;
//     const options = Object.keys(AGGREGATION_TYPES);
//     return (
//       <SidePanelSection className="aggregation-selector">
//         <ItemSelector
//           placeholder="Select an Aggregation Type"
//           options={options}
//         />
//         <WidgetLayerSelector lidgets={lidgets} dataId={dataId} />
//       </SidePanelSection>
//     );
//   }
// }
import React, {Component} from 'react';
import {AGGREGATION_TYPES} from 'constants/default-settings';
import {
  PanelLabel,
  SidePanelSection
} from 'components/common/styled-components';
import ItemSelector from 'components/common/item-selector/item-selector';

export default class WidgetLayerSelector extends Component {
  static proptypes = {};

  render() {
    const {layer, onChange} = this.props;
    const {config} = layer;
    const aggregationType = config.aggregationType;
    // console.log(layer);
    // console.log('inside widgetAggregationSelector', config[aggregationType]);
    // console.log(
    //   'widgetConfig inside widgetAggregationSelector and aggregationType',
    //   config,
    //   aggregationType
    // );
    const options = Object.keys(AGGREGATION_TYPES);
    // console.log('aggregation types options ', options);
    return (
      <SidePanelSection className="layer-selector">
        <ItemSelector
          placeholder={
            aggregationType ? aggregationType : 'Select Aggregation Type'
          }
          selectedItem={aggregationType}
          options={options}
          multiSelect={false}
          onChange={value =>
            onChange({aggregatedData: null, aggregationType: value})
          }
        />
      </SidePanelSection>
    );
  }
}
