// Copyright (c) 2019 Uber Technologies, Inc.
//
// Permission is hereby granted, free of charge, to any person obtaining a copy
// of this software and associated documentation files (the "Software"), to deal
// in the Software without restriction, including without limitation the rights
// to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
// copies of the Software, and to permit persons to whom the Software is
// furnished to do so, subject to the following conditions:
//
// The above copyright notice and this permission notice shall be included in
// all copies or substantial portions of the Software.
//
// THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
// IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
// FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
// AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
// LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
// OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
// THE SOFTWARE.

import {aggregate} from 'utils/aggregate-utils'; // list of functions

// export const WIDGET_TYPES = keyMirror({
//   function: null
// });

export function calculateAggregationData(newWidget, state) {
  const {dataId, aggregationType} = newWidget.config;
  const idx = state.layers.findIndex(
    l => l.id === newWidget.config.selectedLayer.id
  );
  // console.log(idx);
  const {fields} = state.datasets[dataId];
  const {data} = state.layerData[idx];
  // console.log(state.layerData[idx]);
  if (aggregationType === 'count') {
    newWidget.config.aggregatedData = data.length;
  } else {
    const fieldName = newWidget.config.fieldName;
    const fieldIdx = fields.findIndex(f => f.name === fieldName);
    let fieldData = data.map(d => {
      return d.data[fieldIdx];
    });
    newWidget.config.aggregatedData = aggregate(fieldData, aggregationType);
  }

  return newWidget;
}

// if it does not have layer data then let the user select columns on which
// count aggregation will be performed
